Edit
curl --request PATCH \
--url https://api.qa.sima.ag/api/v3/third_party/master_campaigns/{master_campaign_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-SIMA-SYSTEM-ID: <api-key>' \
--data '
{
"name": "Soja | De primera | 2025/2026 (editado)"
}
'import requests
url = "https://api.qa.sima.ag/api/v3/third_party/master_campaigns/{master_campaign_id}"
payload = { "name": "Soja | De primera | 2025/2026 (editado)" }
headers = {
"Authorization": "Bearer <token>",
"X-SIMA-SYSTEM-ID": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {
Authorization: 'Bearer <token>',
'X-SIMA-SYSTEM-ID': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({name: 'Soja | De primera | 2025/2026 (editado)'})
};
fetch('https://api.qa.sima.ag/api/v3/third_party/master_campaigns/{master_campaign_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.qa.sima.ag/api/v3/third_party/master_campaigns/{master_campaign_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'name' => 'Soja | De primera | 2025/2026 (editado)'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"X-SIMA-SYSTEM-ID: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}Version 3 > Master Campaigns
Edit
Actualiza una campaña maestra por id. Requiere permiso EDIT.
Body opcional: name.
PATCH
/
api
/
v3
/
third_party
/
master_campaigns
/
{master_campaign_id}
Edit
Authorizations
access_token obtenido via POST /api/v2/login
Identificador del sistema integrador (8 para Third-Party API)
Path Parameters
Body
application/json
The body is of type object.
Response
200 - application/json
Successful response

